Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.constructionheuristic
Class DefaultConstructionHeuristicPhase

    java.lang.Object
      org.optaplanner.core.impl.phase.AbstractPhase
          org.optaplanner.core.impl.constructionheuristic.DefaultConstructionHeuristicPhase

All Implemented Interfaces:
  EventListener, ConstructionHeuristicPhase, PhaseLifecycleListener, Phase, SolverLifecycleListener

    public class DefaultConstructionHeuristicPhase

extends AbstractPhase
implements ConstructionHeuristicPhase

Default implementation of `ConstructionHeuristicPhase`.

Field Summary
`protected boolean` | `assertExpectedStepScore`
`protected boolean` | `assertStepScoreFromScratch`
`protected ConstructionHeuristicDecider` | `decider`
`protected EntityPlacer` | `entityPlacer`

Fields inherited from class org.optaplanner.core.impl.phase.AbstractPhase
`bestSolutionRecaller, logger, phaseIndex, phaseLifecycleSupport, termination`

Constructor Summary
`DefaultConstructionHeuristicPhase()`

Method Summary
`void` | `phaseEnded(ConstructionHeuristicPhaseScope phaseScope)`
`void` | `phaseStarted(ConstructionHeuristicPhaseScope phaseScope)`
`void` | `setAssertExpectedStepScore(boolean assertExpectedStepScore)`
`void` | `setAssertStepScoreFromScratch(boolean assertStepScoreFromScratch)`
`void` | `setDecider(ConstructionHeuristicDecider decider)`
`void` | `setEntityPlacer(EntityPlacer entityPlacer)`
`void` | `solve(DefaultSolverScope solverScope)`
`void` | `solvingEnded(DefaultSolverScope solverScope)`
`void` | `solvingStarted(DefaultSolverScope solverScope)`
`void` | `stepEnded(ConstructionHeuristicStepScope stepScope)`
`void` | `stepStarted(ConstructionHeuristicStepScope stepScope)`

Methods inherited from class org.optaplanner.core.impl.phase.AbstractPhase
`addPhaseLifecycleListener, getPhaseIndex, getTermination, phaseEnded, phaseStarted, removePhaseLifecycleListener, setBestSolutionRecaller, setPhaseIndex, setTermination, stepEnded, stepStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.phase.Phase
`addPhaseLifecycleListener, removePhaseLifecycleListener`

Methods inherited from interface org.optaplanner.core.impl.phase.event.PhaseLifecycleListener
`phaseEnded, phaseStarted, stepEnded, stepStarted`

Field Detail

### entityPlacer

    protected EntityPlacer entityPlacer

### decider

    protected ConstructionHeuristicDecider decider

### assertStepScoreFromScratch

    protected boolean assertStepScoreFromScratch

### assertExpectedStepScore

    protected boolean assertExpectedStepScore

Constructor Detail

### DefaultConstructionHeuristicPhase

    public DefaultConstructionHeuristicPhase()

Method Detail

### setEntityPlacer

    public void setEntityPlacer(EntityPlacer entityPlacer)

### setDecider

    public void setDecider(ConstructionHeuristicDecider decider)

### setAssertStepScoreFromScratch

    public void setAssertStepScoreFromScratch(boolean assertStepScoreFromScratch)

### setAssertExpectedStepScore

    public void setAssertExpectedStepScore(boolean assertExpectedStepScore)

### solve

    public void solve(DefaultSolverScope solverScope)

  Specified by:
    `solve` in interface `Phase`

### solvingStarted

    public void solvingStarted(DefaultSolverScope solverScope)

  Specified by:
    `solvingStarted` in interface `SolverLifecycleListener`
  Overrides:
    `solvingStarted` in class `AbstractPhase`

### phaseStarted

    public void phaseStarted(ConstructionHeuristicPhaseScope phaseScope)

### stepStarted

    public void stepStarted(ConstructionHeuristicStepScope stepScope)

### stepEnded

    public void stepEnded(ConstructionHeuristicStepScope stepScope)

### phaseEnded

    public void phaseEnded(ConstructionHeuristicPhaseScope phaseScope)

### solvingEnded

    public void solvingEnded(DefaultSolverScope solverScope)

  Specified by:
    `solvingEnded` in interface `SolverLifecycleListener`
  Overrides:
    `solvingEnded` in class `AbstractPhase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.